Skip to main content
POST
Send message
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

conversation_id
string<uuid>
required

Id of the conversation. You can get conversation_id by listing conversations using our List conversations API.

Example:

"de414e85-a1b5-4240-a465-7b32606980ce"

Body

application/json
body
string
required

Content of the message.

Example:

"Thanks, we have processed your refund."

sender_email
string<email>
required

Email of the team member or contact sending the message. A note must be sent by an active team member.

Example:

"oliver@example.com"

kind
enum<string>
default:user_message

Pass note to add an internal note that only team members can see.

Available options:
user_message,
note
mentions
object[]

Team members to mention in a note. Mentions are only supported when kind is note. Each @Name in the body that matches a mentioned team member becomes a mention, and team members not named in the body are mentioned at the end of the note.

Response

Created - Message added successfully

message
object